<?php
define('PROTECTOR', 1);

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
if ($user_id==0){
include($path.'files/head.php');
include($path.'files/guest.php');

if (isset($_SERVER['HTTP_REFERER'])){
$refer=htmlspecialchars(stripslashes($_SERVER['HTTP_REFERER']));
}else{
$refer='http://'.$_SERVER['HTTP_HOST'];
}

$brauser=htmlspecialchars(stripslashes($_SERVER['HTTP_USER_AGENT']));
$braus = strtok($brauser, '/');

if(!empty($_SERVER['HTTP_CLIENT_IP'])){
$ip=htmlspecialchars(stripslashes($_SERVER['HTTP_CLIENT_IP']));
}
elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
$ip=htmlspecialchars(stripslashes($_SERVER['HTTP_X_FORWARDED_FOR']));
}else{
$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));
}

$refl = mysql_num_rows(mysql_query("SELECT * FROM referer WHERE ip = '$ip' AND brauser = '$braus'"));

if($refl<=0){
$den = date("d", time());

$sx = strtr('windows ce', NULL, strtolower($brauser));
if (!$sx || 
strpos($sx, 'windows') !== false ||
strpos($sx, 'linux') !== false ||
strpos($sx, 'bsd') !== false || 
strpos($sx, 'x11') !== false || 
strpos($sx, 'unix') !== false ||
strpos($sx, 'macintosh') !== false ||
strpos($sx, 'macos') !== false) {
$braus = 'Computer'; 
}
if(strpos($sx, 'yandex') !== false ||
strpos($sx, 'rambler') !== false ||
strpos($sx, 'mail') !== false ||
strpos($sx, 'google') !== false ||
strpos($sx, 'slurp') !== false ||
strpos($sx, 'msn') !== false || 
strpos($sx, 'teoma') !== false ||
strpos($sx, 'scooter') !== false ||
strpos($sx, 'ia_archiver') !== false ||
strpos($sx, 'lycos') !== false ||
strpos($sx, 'webalta') !== false ||
strpos($sx, 'aport') !== false) {
$braus = 'BOT'; 
}else{
$braus = 'Mobile';
}
if(isset($refer)){
mysql_query("INSERT INTO `referer` SET `ip` = '$ip', `brauser` = '$braus', `day` = '$den',`ref` = '$refer' ");
}
}

$reg = mysql_num_rows(mysql_query("SELECT * FROM `users`"));
$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
$ref=htmlspecialchars(stripslashes($_GET['ref']));
switch($_GET['mod']){
default:
if (isset($_GET['error'])){
echo'<span style="color: #ff3434;">Пароль или логин введены неправильно!'; 
break;
}

if(isset($_GET['exit'])){
echo'';
}

if(isset($_GET['cookie'])){
echo'<span style="color: #ff3434;">В Вашем браузере отключены Кукисы (cookies).<br>Чтобы авторизоваться, нужно их включить!</span><br/><br/>';
}
echo'<div class="foot center"><span style="color: #;">Беспредел в тюряге</span></div><div class="line"></div>';
echo'<div class="main"><center><img src="image/logo/logo.png" alt="logo"></center></div><div class="mini-line"></div>';
function users ( $reg, $form1, $form2, $form3 ) {
$reg = abs ( $reg ) % 100;
$all1 = $reg % 10;
if ( $reg > 10 && $reg < 20 ) return $form3;
if ( $all1 > 1 && $all1 < 5 ) return $form2;
if ( $all1 == 1 ) return $form1;
return $form3; 
}
echo'<div class="main"><div class="block_zero center"><h1 class="yellow">В игре '.$reg.' человек</h1>';
echo'Теперь твоя очередь!<br>
Погрузись в мир тюремного беспредела. <br>
Твой ход может стать решающим!</div><div class="mini-line"></div><div class="block_zero center">';

echo'<center><a href="/start.php"><img src="image/start_game.jpg" alt="*"></a></span></span><br><br></center>';

echo'<form method="POST" action="enter.php">';
echo'Логин<br/>';
echo'<input class="text" name="log" type="text" maxlength="20" title="nick" emptyok="true"><br>';
echo'Пароль<br/>';
echo'<input class="text" name="pas" type="password" maxlength="20" title="password" emptyok="true"><br/>';
echo '<span class="btn"><span class="end"><input class="label" type="submit" value="Войти"></span></span></form></div>';


if(isset($_GET['pass'])){
if(empty($_POST['email']) AND empty($_POST['log'])){
echo'<div class="separ"></div><center><form action="index.php?pass" method="POST">';
echo'Логин:<br/><input class="text" type="text" size="20" name="log"><br/>';
echo'E-mail:<br/><input class="text" type="text" size="20" name="email"><br/>';
echo '<span class="btn"><span class="end"><input class="label" type="submit" value="Восстановить"></span></span></form></center></div>';
break;
}else{
$lost = htmlspecialchars(stripslashes($_POST['log']));
$email = htmlspecialchars(stripslashes($_POST['email']));
function make_password($num_chars){
if ((is_numeric($num_chars)) && 
($num_chars > 0) && (!is_null($num_chars))){
$password = "";
$accepted_chars="abcdefghijklmnopqrstuvwxyzl234567890";
srand(((int)((double)microtime()*1000003)));
for ($i= 0; $i < $num_chars; $i++){
$random_number = rand(0, (strlen($accepted_chars)-1));
$password .= $accepted_chars[$random_number];
}
return $password;
}
}
$npass = make_password(10);
$mnpass = md5($npass);
$rep = mysql_query("SELECT * FROM `users` WHERE `usr` = '$lost' AND `email`='$email'");
$avtol=mysql_num_rows($rep);
if ($avtol==1){
mysql_query("UPDATE `users` SET `pass` =  '$mnpass' WHERE `usr` = '$lost' ");

$title = "=?utf-8?B?" . base64_encode("Беспредел в тюряге - новый пароль") . "?=";

$mess = "Пароль успешно восстановлен.\n" . "Ваш логин: $lost\n" . "Ваш новый пароль: $npass\n" . "Для входа на сайт используйте ссылку:\n" . "http://vturage.ru/enter.php?login=$lost&pas=$npass";

$to = ''.$email.'';

$from= 'pass@vturage.ru';
mail($to, $title, $mess, "From: $from\r\nReply-To: $email\r\nReturn-Path: $from\r\nContent-Type: text/plain; charset=utf-8\r\nContent-Transfer-Encoding: 8bit");
echo"Новый пароль отправлен на ваш email.";
}else{
echo'<span style="color: #ff3434;">Введены неверные данные!</span><div class="separ"></div><a href="repass"><span class="btn"><span class="end"><input class="label" type="submit" value="Попробовать еще раз!"></a></span></span></div>';
break;
}
}
}
echo'<center>...<br><a href="reg"><span class="btn"><span class="end"><input class="label" type="submit" value="Регистрация"></a><br>...<br><a href="repass"><span class="btn"><span class="end"><input class="label" type="submit" value="Забыл пароль"></a></span></span><br>Ожесточённые бои, отстаивание интересов, потерянные судьбы, противостояние банд. Один неверный ход и ты позади. Настало твоё время! Останови тюремный беспредел и стань легендой.</div></center>';
}
include('files/end.php');
}else{
if($_GET['mod']=='exit'){
$header=TRUE;
}
$textl='Главная';
include('files/head.php');
include('files/zag.php');

switch($_GET['mod']){
default:

$q = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log' AND `read` = '1';");
$new_mail = mysql_result($q, 0);
$w = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log';");
$old_mail = mysql_result($w, 0);
$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
$inv=mysql_num_rows($req);
$chat= mysql_num_rows(mysql_query("SELECT * FROM komentarai"));
$ft=mysql_result(mysql_query("SELECT count(*) FROM `forum_topics`"), 0); // кол-о тем в форуме
$fm=mysql_result(mysql_query("SELECT count(*) FROM `forum_msg`"), 0); // кол-о сообщений в форуме
$nfm= mysql_num_rows(mysql_query("SELECT * FROM `forum_msg` WHERE `time` > '$date'-'86000'"));

if(isset($_GET['cookie'])){
header('Location: index.php');exit;
}else{
$onlines = mysql_num_rows(mysql_query("SELECT * FROM `mesto` WHERE `usr` = '$log'"));
if($onlines ==0 ){
mysql_query("INSERT INTO `mesto` SET `usr` = '$log',`place` = 'gorod', `city` = '0' ");
}

//echo'<div align="center"><img alt="" src="http://uguide.ru/js/script/elka_ot_uguide_ru_2.gif" width="20" height="30"></div>';


if($udata['logotip'] == 2){
echo'<div class="main"><center><img src="image/logo/logo2.png" alt="logo"></center></div>';
}

if($udata['prava']>=4){
echo '<div class="mini-line"></div><div class="block_zero center"><a href="adm_panel.php"><div class="head"><b><span style="color: #9CC;">Админ - панель</span></b></div></a></div>';
}
if($udata['prava']==3){
echo '<div class="mini-line"></div><div class="block_zero center"><a href="adm_panel.php"><div class="head"><b><span style="color: #f96;">Модер - панель</span></b></div></a></div>';
}
if($udata['prava']==2){
echo '<div class="mini-line"></div><div class="block_zero center"><a href="adm_panel.php"><div class="head"><b><span style="color: #f96;">Модер - панель</span></b></div></a></div>';
}
echo'<div class="mini-line"></div><div class="menuList"><div class="main"><center>';
domin();
echo '</center>';
if($udata[activ]==off){echo'
<div class="mini-line"></div><li>Если вы не сохранены, то некоторые функции вам будут не доступны!</li><li><a href="/save.php?mod=1"><img src="image/user.png" alt="*">Сохранить персонажа и получите бонус!</a></li>';}

echo'<li><a href="arena.php"><img src="image/icon/arena.png" alt="*">Разборки </a></li>';

echo'<li><a href="boss.php?"><img src="image/icon/2hit.png" alt="*">Босяки</a></li> ';

if($set['arenainv']>0){
$plus='<span style="color: #3c3;">(+)</span>';
}else{
$plus=FALSE;
}
echo'<li><a href="arena_dueli.php?"><img src="image/icon/league.png" alt="*">Лига бойцов '.$plus.'</a></li>';
$pohod = mysql_num_rows(mysql_query("SELECT * FROM `dozor` WHERE `usr` = '$log'")); 
if($pohod==0){
$plus='<span style="color: #3c3;">(+)</span>';
}else{
$plus=FALSE;
}
echo'<li><a href="dozor.php?"><img src="image/icon/farm.png" alt="*">Двор '.$plus.'</a></li>';

$rydnik=mysql_num_rows(mysql_query("SELECT * FROM `rydnik` WHERE `usr`='$log'"));
if($rydnik==0){
$plus='<span style="color: #3c3;">(+)</span>';
}else{
$plus=FALSE;
}
echo'<li><a href="rydnik.php?"><img src="image/icon/cave.png" alt="*">Работа '.$plus.'</a></li> ';



echo'<li><a href="towers.php?mod=outtower"><img src="image/icon/quest.png" alt="*">Контроль</a>';

echo'<li><a href="/"><img src="image/!.png" alt="*">Разборки банд (Тестируется администратором)</a>';


echo'<li><a href="/"><img src="image/!.png" alt="*">Подвал (Тестируется администратором)</a>';


//echo'<li><a href="catacombi.php?"><img src="image/icon/hellworld.png" alt="*">Катакомбы</a></li> ';

echo'<li><a href="duel.php?"><img src="image/icon/coliseum.png" alt="*"/>Стрелка</a></li> ';

//echo'<li><a href="grupboy.php?"><img src="image/icon/coliseum.png" alt="*"/>Стенка на стенку (тест)</a></li> ';

$battle = mysql_query('SELECT * FROM `undying` WHERE `start` = "0"');
$battle = mysql_fetch_array($battle);
$battle=$battle['time'] - time();
echo'<li><a href="undying.php?"><img src="image/icon/bar.png" alt="*">Мятеж <span style="float: right;"><span style="color: #999;"><small>'.Sec2time($battle).'</small></span></span></a></li>';


echo'<li><a href="/bary"><img src="image/icon/equip.png" alt="*">Барыга</a></li>';
echo'<li><a href="kuznec.php?"><img src="image/icon/str.png" alt="*"/>Мастерская</a></li>';

//echo'<li><a href="dost.php?"> <img src="pic/game/dost.png" alt="*"/> Достижения</a></li>';



//echo'<li><a href="index.php?mod=city"> <img src="pic/main/city.gif" alt="*"/>Посёлок</a></li>';


$avo=mysql_fetch_array(mysql_query("SELECT * FROM `limit` WHERE `usr` = '$log'"));
$www=time()+60;
if($www<($avo['almaz']+(60))){
$plus=FALSE;
}else{
$plus='<span style="color: #3c3;">(+)</span>';
}
//echo'<li><a href="buy.php?"><img src="image/icon/almaz.png" alt="*">Получить рубли '.$plus.'</a></li>';

//echo'<li><a href="zamki.php?"><img src="image/icon/almaz.png" alt="*">Замок</a></li>';

//if($udata['lvl']<=5){
//echo'<li><a href="istok.php?"> <img src="pic/main/eye.png" alt="*"/>Источник Жизни</a></li>';
//}

/// хеппи енд приключений
//echo"</div>$div<center> <b>Торговля</b> </center>$div";
//echo"<div class=\"menuList\">";


echo'<li><a href="home.php?"> <img src="image/icon/clan.png" alt="*"/>Банды</a></li>'; 
/*
//echo'<li><a href="auction.php?"><img src="pic/main/bank.png" alt="*"/> Аукцион</a></li>';
*/
//echo'<li><a href="vip.php?"><img src="image/icon/die.png" alt="*"/>VIP-аккаунт</a></li>';

echo'<li><a href="rating.php?"><img src="image/icon/user.png" alt="*"/>Блатная малина</a></li>';

echo'<li><a href="/bon.php"><img src="image/icon/almaz.png" alt="*"/>Ежедневный бонус</a></li>';

/*
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
$banners=mysql_num_rows($req);
echo'<li><a href="zona.php?"><img src="pic/main/alkatrass.png" alt="*"/>Падшие ('.$banners.')</a></li>';
*/
//echo'<li><a href="zona.php?"><img src="image/icon/zona.png" alt="*"/>Лишённые бессмертия</a></li>';

/*
$set = mysql_fetch_array(mysql_query("SELECT * FROM `set` WHERE `usr` = '$log'"));
if(empty($set['name'])){
echo"<font color='grey'></br>Примечание: У вас не заполнена анкета</br>
<a href=\"anketa.php?go=zap\">Заполнить</a></font>";
}
*/
echo'</div></div>';
}
break;

case 'domin':
$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
echo'Доминация';echo domin();echo'<br/>';
echo'<img src="pic/main/white.png" alt="*"/>Светлые: '.$dom['white'].' очков<br/>';
echo'<img src="pic/main/black.png" alt="*"/>Тёмные: '.$dom['black'].' очков<br/>';
echo"<a href=\"index.php?\">Назад</a>";
break;

case 'city':
echo"<div class='a'><b>Посёлок</b></div><div class='menuList'>";
echo'<li><a href="start.php?"> <img src="pic/main/beer.png" alt="*"/> Таверна</a></li>';
echo'<li><a href="kuznec.php?"> <img src="pic/main/kuznec.png" alt="*"/> Кузница</a></li>';
echo'<li><a href="pitomec.php?"> <img src="pic/main/pit.gif" alt="*"/> Питомник</a></li>';
echo'<li><a href="rydnik.php?"> <img src="pic/main/rud.png" alt="*"/> Рудник</a></li>';
echo'<li><a href="home.php?"> <img src="pic/main/flags.png" alt="*"/> Кланы</a></li>'; 
echo'<li><a href="fortuna.php?"><img src="pic/game/fart.png" alt="*"/> Колесо Фортуны</a></li>';
echo"</div>";
break;

case 'magaz':
echo"<div class='a'><b>Магазин</b></div><div class='menuList'>";
echo'<li><a href="weapon.php?"><img src="pic/main/guilds.png" alt="*"/> Магазин снаряжения</a></li>';
/*
echo'<li><a href="alhimiya.php?"><img src="pic/main/alh.gif" alt="*"/> Лавка алхимии</a></li>';
echo'<li><a href="shopaura.php?"><img src="pic/main/aura.png" alt="*"/> Магазин Аур</a></li>';
echo'<li><a href="lambard.php?"><img src="pic/main/lombard.png" alt="*"/> Ломбард</a></li>';*/
echo"</div>";
break;

case 'prim':
echo'<div class="main"><div class="block_zero">';
if (isset($_GET['close'])){
mysql_query("UPDATE `set` SET `prim` = 'off' WHERE `usr` = '$log'");
header('Location: index.php?mod=prim');exit;
}else{
$pri = mysql_query("SELECT * FROM `zametka` WHERE `id` = '1' AND `status`='on'");
$prim = mysql_num_rows($pri);
$prime = mysql_fetch_array($pri);
if($prim > 0 AND $set['prim']=='on'){
echo'Объявление:<br>'.$prime['name'].'<br>Опубликовал: '.$prime['log'].'<div class="separ"></div><center><a href="index.php?mod=prim&close"><span class="btn"><span class="end"><input class="label" type="submit" value="Скрыть"></span></span></a></center>';
}else{
echo'<center>Объявление скрыто, объявлений нет.</center>';
}
}
echo'</div></div>';
break;

case 'ref':
$req = mysql_query("SELECT * FROM `users` WHERE `ref` = '$udata[id]'");
$avto=mysql_num_rows($req);
echo'<div class="main"><div class="block_zero center">У Вас есть возможность пригласить своих друзей и получить за это вознаграждение!<br><br>
Когда ваш друг достигает 10 уровня вы получаете 100 рублей 10000 авторитета!<br>И это за одного приглашённого!<br><br>';
echo'Ваша ссылка для приглашений:<br><span style="color: #9cc;">http://'.htmlspecialchars($_SERVER['HTTP_HOST']).'/reg.php?ref='.$udata['id'].'</span><br><br>Все зарегистрированные по этой ссылке пользователи, станут вашими друзьями!<br><br>Ваших друзей ('.$avto.'):</div><div class="dot-line"></div>';
$req = mysql_query("SELECT * FROM `users` WHERE `ref` = '$udata[id]'");
$avto=mysql_num_rows($req);
if($avto>=1){
$i=1;
While($usdata = mysql_fetch_array($req)){
echo'<a href="search.php?nick='.$usdata['usr'].'&go=go">'.$i.'. '.$usdata['usr'].'</a><span style="float: right;"><a href="index.php?mod=delref&amp;usr='.$usdata['usr'].'"><span style="color: #c66;">Удалить</span></span></a></div><div class="dot-line"></div></div>';
$i++;
}
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="index.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;

case 'delref':
if(empty($_GET['usr'])){
echo'Не выбран игрок!<br/>';
include('files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($_GET['usr'])."' LIMIT 1");
$avto = mysql_num_rows($req);
if($avto == 1){
$claner = mysql_fetch_array($req);
mysql_query("UPDATE `users` SET `ref` = 'not' WHERE `usr` = '".mysql_real_escape_string($_GET['usr'])."'");
echo"$_GET[usr] исключён из друзей!<br/>";
}else{
echo'Нет такого игрока в вашем клане!';
include($path.'files/down.php');exit;
}
echo"<a href=\"index.php?mod=ref\">Назад</a>";
break;

case 'exit':
setcookie('log', '');
setcookie('pas', '');
session_destroy();
header ('Location: index.php?exit');exit;
break;

}
if($user_id==1 AND isset($_GET['cookie'])){
}else{
include($path.'files/down.php');
}
}
?>